<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserAddressMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userAddressResultMap" type="org.springblade.modules.platform.entity.UserAddress">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="real_name" property="realName"/>
        <result column="phone" property="phone"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="district" property="district"/>
        <result column="district_code" property="districtCode"/>
        <result column="detail" property="detail"/>
        <result column="post_code" property="postCode"/>
        <result column="lng" property="lng"/>
        <result column="lat" property="lat"/>
        <result column="default_state" property="defaultState"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectUserAddressPage" resultMap="userAddressResultMap">
        select * from t_user_address where is_deleted = 0
    </select>

</mapper>
